from utils.loaders.single_loader import loadSingle


class LoadmodCommand:
    def __init__(self, *args):
        self.loadmod(*args)

    def loadmod(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            if length == 2:
                rtrn = loadSingle(spl[1])
                if rtrn is True:
                    success("Loaded module: %s" % spl[1])
                    return
                elif rtrn == "RELOAD":
                    success("Reloaded module: %s" % spl[1])
                    return
                else:
                    failure("Error loading module %s: %s" % (spl[1], rtrn))
                    return
            else:
                incUsage("loadmod")
                return
        else:
            incUsage(None)
            return
